| Wireshark 4.7.0 The Wireshark network protocol analyzer

Loading...
Searching...
No Matches
Public Attributes | List of all members
packet_provider_funcs Struct Reference

Structure containing pointers to functions supplied by the user of libwireshark. More...

`#include <epan.h>`

## Public Attributes
const nstime_t *(* | get_frame_ts )(struct packet_provider_data *prov, uint32_t frame_num)
| Get the timestamp of a specific frame.
const nstime_t *(* | get_start_ts )(struct packet_provider_data *prov)
| Get the start timestamp of the capture session.
const nstime_t *(* | get_end_ts )(struct packet_provider_data *prov)
| Get the end timestamp of the capture session.
const char *(* | get_interface_name )(struct packet_provider_data *prov, uint32_t interface_id, unsigned section_number)
| Get the name of a capture interface.
const char *(* | get_interface_description )(struct packet_provider_data *prov, uint32_t interface_id, unsigned section_number)
| Get the description of a capture interface.
wtap_block_t(* | get_modified_block )(struct packet_provider_data *prov, const frame_data *fd)
| Get a modified WTAP block for a given frame.
int32_t(* | get_process_id )(struct packet_provider_data *prov, uint32_t process_info_id, unsigned section_number)
| Get the process ID associated with a packet.
const char *(* | get_process_name )(struct packet_provider_data *prov, uint32_t process_info_id, unsigned section_number)
| Get the name of the process associated with a packet.
const uint8_t *(* | get_process_uuid )(struct packet_provider_data *prov, uint32_t process_info_id, unsigned section_number, size_t *uuid_size)
| Get the UUID of the process associated with a packet.

## Detailed Description

Structure containing pointers to functions supplied by the user of libwireshark.

Each function pointer corresponds to a callback that provides specific information about packets, interfaces, or processes during packet processing.

## Member Data Documentation

## ◆ get_end_ts

const nstime_t *(* packet_provider_funcs::get_end_ts) (struct packet_provider_data *prov)

Get the end timestamp of the capture session.

Parameters

  prov | Packet provider context.

Returns
  Pointer to the end timestamp, or NULL if unavailable.

## ◆ get_frame_ts

const nstime_t *(* packet_provider_funcs::get_frame_ts) (struct packet_provider_data *prov, uint32_t frame_num)

Get the timestamp of a specific frame.

Parameters

  prov | Packet provider context.
  frame_num | Frame number to query.

Returns
  Pointer to the timestamp, or NULL if unavailable.

## ◆ get_interface_description

const char *(* packet_provider_funcs::get_interface_description) (struct packet_provider_data *prov, uint32_t interface_id, unsigned section_number)

Get the description of a capture interface.

Parameters

  prov | Packet provider context.
  interface_id | Interface identifier.
  section_number | Capture section number.

Returns
  Interface description string, or NULL if unavailable.

## ◆ get_interface_name

const char *(* packet_provider_funcs::get_interface_name) (struct packet_provider_data *prov, uint32_t interface_id, unsigned section_number)

Get the name of a capture interface.

Parameters

  prov | Packet provider context.
  interface_id | Interface identifier.
  section_number | Capture section number.

Returns
  Interface name string, or NULL if unavailable.

## ◆ get_modified_block

wtap_block_t(* packet_provider_funcs::get_modified_block) (struct packet_provider_data *prov, const frame_data *fd)

Get a modified WTAP block for a given frame.

Parameters

  prov | Packet provider context.
  fd | Frame metadata.

Returns
  Modified WTAP block, or NULL if unchanged.

## ◆ get_process_id

int32_t(* packet_provider_funcs::get_process_id) (struct packet_provider_data *prov, uint32_t process_info_id, unsigned section_number)

Get the process ID associated with a packet.

Parameters

  prov | Packet provider context.
  process_info_id | Process info identifier.
  section_number | Capture section number.

Returns
  Process ID, or -1 if unavailable.

## ◆ get_process_name

const char *(* packet_provider_funcs::get_process_name) (struct packet_provider_data *prov, uint32_t process_info_id, unsigned section_number)

Get the name of the process associated with a packet.

Parameters

  prov | Packet provider context.
  process_info_id | Process info identifier.
  section_number | Capture section number.

Returns
  Process name string, or NULL if unavailable.

## ◆ get_process_uuid

const uint8_t *(* packet_provider_funcs::get_process_uuid) (struct packet_provider_data *prov, uint32_t process_info_id, unsigned section_number, size_t *uuid_size)

Get the UUID of the process associated with a packet.

Parameters

  prov | Packet provider context.
  process_info_id | Process info identifier.
  section_number | Capture section number.
  uuid_size | Output parameter for the size of the UUID.

Returns
  Pointer to the UUID byte array, or NULL if unavailable.

## ◆ get_start_ts

const nstime_t *(* packet_provider_funcs::get_start_ts) (struct packet_provider_data *prov)

Get the start timestamp of the capture session.

Parameters

  prov | Packet provider context.

Returns
  Pointer to the start timestamp, or NULL if unavailable.

The documentation for this struct was generated from the following file:

- /builds/wireshark/wireshark/epan/epan.h